Rock
Never Hungover AgainJoyce Manor
US 2021 (Epitaph 87352-1)Винил. Пластинка; 12"; 45 RPM; Альбом
American FootballAmerican Football
UK & US 2019 (Polyvinyl Record Company PRC-025LP)Винил. Пластинка; LP; Альбом; Переиздание
Tales For The RagesPiebald
US 2026 (Iodine Recordings IOD-87)Винил. Пластинка; LP; Альбом; Лимитированное издание
Start All Over AgainThe Berries
US 2018 (Help Yourself Records HY016)Винил. Пластинка; LP; Альбом; Стерео
Viva HateMorrissey
UK 1988 (His Master's Voice CSD 3787)Винил. Пластинка; LP; Альбом; Стерео
This Is Really Going To HurtFlyte
Europe 2021 (Island Records 3559379)Винил. Пластинка; LP; Альбом; Лимитированное издание
SplitOther Half, Yr Poetry, Grieving, Yarraman
UK 2019 (Venn Records (2) VENN038)Винил. Пластинка; 7"; 45 RPM; Лимитированное издание
It Goes On
Europe 2026 (Island Records 5795203)Винил. Пластинка; LP; Альбом; Стерео
PerspectivesGuns'n'gänseblümchen
France 2020 (Donnez-Moi Du Feu DMDF#43)Винил. Пластинка; LP; Альбом; Стерео
Silverfish With Scrambled EggsSilverfish
UK 1992 (Creation Records CRE 118T)Винил. Пластинка; 12"; 45 RPM; EP
DomesticaCursive
US 2025 (Run For Cover Records (2) RFC305)Винил. Пластинка; LP; Альбом; Переиздание
Peripheral VisionTurnover
UK, Europe & US 2022 (Run For Cover Records (2) RFC122)Винил. Пластинка; LP; Альбом; Переиздание
VideogeneQasar
France 2017 (Hell Vice I Vicious Records HViV 27)Винил. Пластинка; LP; Альбом; Стерео
Electronic
Disposable EverythingAJJ
UK 2023 (Hopeless Records HR6775-1)Винил. Пластинка; LP; Альбом; Стерео
Pop, Rock
Emphatically No.Cheekface
US 2021 (New Professor Music NPM 2101)Винил. Пластинка; LP; Repress; Стерео
Courting StrongMartha
US 2014 (Salinas Records SAL-056)Винил. Пластинка; LP; Альбом; Стерео
Elsewhere For 8 MinutesSomething For Kate
Australia 2022 (Murmur 19658737561)Винил. Пластинка; LP; Альбом; Переиздание
Achilles HeelPedro The Lion
US 2018 (Jade Tree JT1095)Винил. Пластинка; LP; Альбом; Переиздание
The DonnasThe Donnas
USA & Canada 2023 (Real Gone Music RGM-1558)Винил. Пластинка; LP; Альбом; Переиздание
Singin' To An Empty ChairRatboys
US 2026 (New West Records NW5959)All Media; Винил. Пластинка; LP; Single Sided; Etched
Dogs On AcidDogs On Acid
US 2015 (Jade Tree JT1141)Винил. Пластинка; LP; Альбом; Стерео
LPDistants
North America (inc Mexico) 2024 (Salinas Records SAL-122)Винил. Пластинка; LP; Альбом; Стерео
Bad Dream JaguarSun June
US 2023 (Run For Cover Records (2) RFC-265)Винил. Пластинка; 12"; 33 ⅓ RPM; Альбом
Maid To MinxLung Leg
UK 2022 (Last Night From Glasgow PNFG31)Винил. Пластинка; LP; Альбом; Переиздание
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.